#ifndef _AES_DEMO_H
#define _AES_DEMO_H
/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                           http://www.silabs.com
 *                               Copyright 2010
 *------------------------------------------------------------------------------
 *
 *    FILE:       aes_demo.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Generic
 *    DATE:       May 05, 2010, Wednesday
 *    RELEASE:    2.1 (JimG), ROM version 02.00
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      This file defines a top level header for the aes_demo module.
 *      It should be included in all C files in the aes_demo module.
 *
 *------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010.h"

/*------------------------------------------------------------------------------
 *
 *    Definitions:
 */

/*------------------------------------------------------------------------------
 *
 *    VARIABLES:
 */

static const BYTE code abPlainData[16] =
  { 0x32, 0x43, 0xf6, 0xa8,
    0x88, 0x5a, 0x30, 0x8d,
    0x31, 0x31, 0x98, 0xa2,
    0xe0, 0x37, 0x07, 0x34 };

static const BYTE code abKey[16] =
  { 0x2b, 0x7e, 0x15, 0x16,
    0x28, 0xae, 0xd2, 0xa6,
    0xab, 0xf7, 0x15, 0x88,
    0x09, 0xcf, 0x4f, 0x3c };

static const BYTE code abCipherData[16] =
  { 0x39, 0x25, 0x84, 0x1d,
    0x02, 0xdc, 0x09, 0xfb,
    0xdc, 0x11, 0x85, 0x97,
    0x19, 0x6a, 0x0b, 0x32 };

/*
 *------------------------------------------------------------------------------
 *
 *    STATIC VARIABLES GLOBAL TO ALL LOCAL FUNCTIONS:
 */

/* -- Variables are global so their space is not shared in the main()
 * function. This is done only for debugging visualization
 * in the example. In the real main() application those would
 * be in the main() function itself. */

/* Local data variables */
static BYTE xdata abEncryptedData[16];
static BYTE xdata abDecryptedData[16];

static BYTE idata abState[16];
static BYTE idata abRoundKey[16];

/* ROM ID .. BCD coded: 0x0100 == 01.00 */
static WORD  wRomId;

/* Data match return value */
static BYTE  bResult;

/* Elapsed time value in system clock cycles */
static WORD  wEncTimer;
static WORD  wDecTimer;
static WORD  wKeyTimer;
static WORD  wKeyDecTotal;


/*-------------------------------------------------------------------------
 *
 *    FUNCTION PROTOTYPES:										
 */
// Copy input from CODE
static  void vCopyInputCode(BYTE const code *pbiSource,BYTE idata *pboData);
//Check data .. 0 .. OK, 1 .. error
static  BYTE bCheckData(BYTE xdata *pbiOutData,BYTE const code *pbiInData);
//Copy output to XDATA
static  void vCopyOutputXdata(BYTE idata *pbiData,BYTE xdata *pboDest);

#endif /* _AES_DEMO_H */

