#ifndef _FCAST_DEMO_H
#define _FCAST_DEMO_H
/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                           http://www.silabs.com
 *                               Copyright 2010
 *------------------------------------------------------------------------------
 *
 *    FILE:       fcast_demo.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    DATE:       May 05, 2010, Wednesday
 *    RELEASE:    2.1 (JimG), ROM version 02.00, trim 3
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for the fcast_demo module.
 *
 *------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010_types.h"

/*
 *------------------------------------------------------------------------------
 *
 *    MACROS:
 */

/* Maximum length of the data buffer to transmit in bytes */
#define bFCastDemo_MaxFrameSize_c       (125)

//------------------------------------------------------------------------------

//    VARIABLES:


// Structure for setting up the ODS .. must be in XDATA 
  tOds_Setup xdata rOdsSetup;

// Structure for setting up the PA .. must be in XDATA 
  tPa_Setup xdata  rPaSetup;

// Data byte frame .. the pointer must point to XDATA 
  BYTE xdata    *pbFrameHead;

// Battery measurement .. delete if battery measurement is not used 
  int           iBatteryMv;
  BYTE          bBatteryWait;   // Wait time after loading in 17us increment 

//------------------------------------------------------------------------------


/* Constant array which holds the frame */
BYTE const code abFCastDemo_FrameArray[bFCastDemo_MaxFrameSize_c]
        = {0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14};

/*
 *------------------------------------------------------------------------------
 */
#endif /* _FCAST_DEMO_H */
