#ifndef _FSTEP_DEMO_H
#define _FSTEP_DEMO_H
/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                           http://www.silabs.com
 *                               Copyright 2010
 *------------------------------------------------------------------------------
 *
 *    FILE:       fstep_demo.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    DATE:       May 18, 2010, Tuesday
 *    RELEASE:    2.0 (JimG, MPech), ROM version 02.00, trim 3
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for the fstep_demo module.
 *
 *------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010_types.h"
#include "si4010_api_add.h"

/*
 *------------------------------------------------------------------------------
 *
 *    MACROS:
 */

/* Maximum length of the data buffer to transmit in bytes */
#define bFStepDemo_MaxFrameSize_c       (125)

/* Number of frequencies for which vFCast_Tune() data is collected
 * before transmission */
#define bFStepDemo_FreqNum_c            (3)

/*
 *------------------------------------------------------------------------------
 *
 *    TYPE DEFINITIONS:
 */
typedef BYTE    tFStepDemo_Data[bFStep_DataLength_c];

/*
 *------------------------------------------------------------------------------
 *    FUNCTION PROTOTYPES:
 *------------------------------------------------------------------------------
 */


/* Array of arrays which holds the data collected by bFStep_Collect */
tFStepDemo_Data xdata arFStepDemo_Data[bFStepDemo_FreqNum_c];


/* Constant array which holds the frame */
BYTE const code abFStepDemo_FrameArray[bFStepDemo_MaxFrameSize_c]
        = {0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14,
           0xAA, 0xAA, 0x4B, 0xD4, 0x14, 0xEB, 0x14};


//------------------------------------------------------------------------------

#endif /* _FSTEP_DEMO_H */
