/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                           http://www.silabs.com
 *                               Copyright 2010
 *------------------------------------------------------------------------------
 *
 *    FILE:       OD_global.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    RELEASE:    1.1 ; ROM version 02.00
 *    AUTHOR:     Miklos Lukacs
 *    DATE:       May 31, 2010
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for all modules of the Overlay demo
 *
 *------------------------------------------------------------------------------*/

#ifndef _OVERLAY_DEMO_GLOBAL_H
#define _OVERLAY_DEMO_GLOBAL_H

/*------------------------------------------------------------------------------
 *
 *    Definitions:
 */

// definition of the RF packet lenght
// needs to be present in the same file where the abButtonFrame[] array is defined
#define bFrameSize_c            8


/*------------------------------------------------------------------------------
 *
 *    VARIABLES:
 *  
 *  These variables can be accessed from any Overlay module, therefore they need to 
 *  be placed in the common variable area in the XDATA memory, at fixed locations.
 */

// storing the button which is under processing
 BYTE  xdata bAp_ButtonState 				_at_ 0x0400;

// storing the payload of the RF packet, and used as a return status of the 
// Overlay module 1 function
 LWORD xdata lPayLoad 						_at_ 0x0401;

// array for storing the TX packet
// needs to be present in the global variable area because it is used in more 
// than one Overly Module
 BYTE  xdata abButtonFrame[bFrameSize_c] 	_at_ 0x0405;


#endif // _OVERLAY_DEMO_GLOBAL_H