/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                               Copyright 2010
 *                         CONFIDENTIAL & PROPRIETARY
 *------------------------------------------------------------------------------
 *
 *    FILE:       OD_ovrl1.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    RELEASE:    1.1 ; ROM version 02.00
 *    AUTHOR:     Miklos Lukacs
 *    DATE:       May 31, 2010
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for the Overlay demo Overlay 1 Module.
 *
 *------------------------------------------------------------------------------*/
#ifndef _OVERLAY_DEMO_OVRL1_H
#define _OVERLAY_DEMO_OVRL1_H

/*------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010_types.h"


/*------------------------------------------------------------------------------
 *
 *    Definitions:
 */

// button 'identifiers'
#define bButton1_c              0x01
#define bButton2_c              0x02
#define bButton3_c              0x04
#define bButton4_c              0x08
#define bButton5_c              0x10

// RF packet fields
#define lFramePreamble_c        0xAAAAAA
#define wFrameSyncWord_c        0x4BD4
#define lFramePayLoad1_c        0x14EB14
#define lFramePayLoad2_c        0x50AF50
#define lFramePayLoad3_c        0x05FA05
#define lFramePayLoad4_c        0x41BE41
#define lFramePayLoad5_c        0x00FF00


#endif /* _OVERLAY_DEMO_OVRL1_H */
