/*------------------------------------------------------------------------------
 *                          Silicon Laboratories, Inc.
 *                               Copyright 2010
 *                         CONFIDENTIAL & PROPRIETARY
 *------------------------------------------------------------------------------
 *
 *    FILE:       OD_ovrl2.h
 *    TARGET:     Si4010
 *    TOOLCHAIN:  Keil
 *    RELEASE:    1.1 ; ROM version 02.00
 *    AUTHOR:     Miklos Lukacs
 *    DATE:       May 31, 2010
 *
 *------------------------------------------------------------------------------
 *
 *    DESCRIPTION:
 *      Header file for the Overlay demo Overlay 2 Module.
 *
 *------------------------------------------------------------------------------*/

#ifndef _OVERLAY_DEMO_OVRL2_H
#define _OVERLAY_DEMO_OVRL2_H

/*------------------------------------------------------------------------------
 *
 *    INCLUDES:
 */
#include "si4010_types.h"

/*------------------------------------------------------------------------------
 *
 *    Definitions:
 */

// The time of packet transmission for the demo:
// 8 bytes / 8 bits / 9.6kbps = 6.67 ms
// Here set the packet interval about 15ms.
#define wRepeatInterval 		15

// Sets target frequency to 433.46MHz.
#define fOperatingFrequency  	433460000.0

// Sets FSK deviation 38kHz, here arg 40 is calculated by spreadsheed
// and will be used for FSK adjustment.
#define bFskDeviation 			127

// Repeat packet 8 times for each button packet transmission.
#define bRepeatCount_c  		8




/*---------------------------------------------------------------------------
 *
 *    VARIABLES:
 *
/*---------------------------------------------------------------------------*/
 
// Packet transmit repeat counter 
 BYTE xdata bRepeatCount;
 
 LWORD xdata lTimestamp;

// Pointer to the head of the frame to be sent out.
// the vStl_SingleTxLoop() API function expects a pointer residing in the Data memory
 BYTE xdata *pbRke_FrameHead;
 
 
 

#endif // _OVERLAY_DEMO_OVRL2_H 
